v3.0
post
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/reports/order-summary
Retrieves the Order Summary report.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- */*
Root Schema : SearchSpecs
Type:
objectTitle:
SearchSpecsRequest body passing search specs like limit, offset and list of fields
Show Source
-
fieldSpecsList: array
fieldSpecsList
Field Specification List
-
limit: integer
(int32)
Minimum Value:
1Maximum Value:5000Maximum number of records to display per page.Example:50 -
offset: integer
(int32)
Minimum Value:
0Maximum Value:2147483647An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:5
Nested Schema : fieldSpecsList
Type:
arrayField Specification List
Show Source
-
Array of:
object Field
Contains field details.
Nested Schema : Field
Type:
objectContains field details.
Show Source
-
fieldName(required): string
Minimum Length:
0Maximum Length:255Field name. The acceptable values are : TENANTID, STUDYID, COUNTRY, SITEID, INVID, INVNAM, USUBJID, SCRNID, SUBJID, VISITNUM, VISIT, UNSCHED, SVSTDTC, DOMAIN, LAB ID, LAB NAME, REPEATNUMBER, SREPEATID, SREPEATNUMBER, ENTERED BY, ENTERED DATE, LAST CHANGED BY, LAST CHANGED DATE etc.Example:siteIds or dateRange -
fieldSequence: integer
(int32)
Sequence/order of the field.Example:
1 -
fieldType(required): string
Minimum Length:
0Maximum Length:50Field type. The fields type can be : date-time, string, list, number etc.Example:list or date-time -
fieldValueList(required): array
fieldValueList
List of values for the Field
Nested Schema : fieldValueList
Type:
arrayList of values for the Field
Show Source
-
Array of:
string
List of values for the FieldExample:
["D5E16DD550CB4AD1B330E0D09B4B8F3F","A5E16DD550CB4AD1B330E0D09B4B8F3F"]
Example:
[
"D5E16DD550CB4AD1B330E0D09B4B8F3F",
"A5E16DD550CB4AD1B330E0D09B4B8F3F"
]Response
Supported Media Types
- application/json
200 Response
The result contains the following attributes
1. Shipped By SDF
UUID of the site/depot which shipped the shipment. E.g. '41300000900000000000000000000001'
2. Received By SDF
UUID of the site/depot which received the shipment. E.g. '41300000900000000000000000000001'
3. Received By SDF ID of Country
UUID of the country of the site/depot which received the shipment. E.g. '41300000900000000000000000000001'
4. Shipment ID
Name of shipment. E.g. 'Hyd125'
5. Shipment Type
Type of shipment. E.g. 'Resupply'
6. Shipment Status
Current status of the shipment. E.g. '4'
7. Date Requested
Date on which the shipment was raised. E.g. '2020-01-20'
8. Date Received
Date on which the shipment was received. null if the shipment is still not received
9. Days Outstanding
Number of days until the shipment was received. If the shipment is still not received, this equals the number of days since the shipment was requested (current date - date requested).
9. Days Outstanding
Number of days until the shipment was received. If the shipment is still not received, this equals the number of days since the shipment was requested (current date - date requested).
10. Date Cancelled/Marked Lost
Date on which the shipment was canceled. null if not available (shipment not canceled)
11. Kit Count
No. of kits in the shipment.
12. Kit Numbers in Shipment
Kit numbers separated by `\u7F`. E.g. "300\u7F400"
Use Character.toString((char) 0x7F) as the delimiter when concatenating multiple kits
Use Character.toString((char) 0x7F) as the delimiter when concatenating multiple kits
13. Tracking Number
Tracking number which is assigned to the shipment
Response Payload:
{
"result": {
"hasMore": "true",
"totalResults": 221,
"count": 1,
"limit": 1,
"offset": 0,
"columns": [
"Shipped By SDF",
"Received By SDF",
"Received By SDF ID for Country",
"Shipment ID",
"Shipment Type",
"Shipment Status",
"Date Requested",
"Date Received",
"Days Outstanding",
"Date Cancelled/Marked Lost",
"Kit Count",
"Kit Numbers in Shipment",
"Tracking Number",
"Temperature Monitor Status"
],
"data": [
[
"09CA38D0A01145A285B2086729B4453C",
"EB0F5FE4B75E4652800B90BE21521733",
"EB0F5FE4B75E4652800B90BE21521733",
"depo161",
"Manual",
"Received",
"04-Jan-2022",
"04-Jan-2022",
"0",
"",
"4",
"100324704780",
"",
"Yes"
]
]
},
"status": "success",
"errorData": null
}
Root Schema : ReportBaseResponse
Type:
objectTitle:
ReportBaseResponseResponse object for report APIs.
Show Source
-
errorData: string
Title:
Error DataDetail of error.Example:Validation error -
result: object
PaginatedResponseDto
Title:
PaginatedResponseDtoPaginated Response Object for report APIs. -
status: string
Title:
StatusStatus of request.Example:success
Nested Schema : PaginatedResponseDto
Type:
objectTitle:
PaginatedResponseDtoPaginated Response Object for report APIs.
Show Source
-
columns: array
columns
Names of report columns in the result set
-
count: integer
(int32)
Total count of resultExample:
5 -
data: array
data
Tabular data where each item is a row (array of string values in report column order)
-
hasMore: string
Attribute describes if result set has more recordsExample:
true -
limit: integer
(int32)
Maximum number of records to display per page.Example:
5 -
offset: integer
(int32)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
totalResults: integer
(int32)
Total number of entities in responseExample:
5
Nested Schema : columns
Type:
arrayNames of report columns in the result set
Show Source
-
Array of:
string
Names of report columns in the result setExample:
["Footer Message"]
Example:
[
"Footer Message"
]Nested Schema : data
Type:
arrayTabular data where each item is a row (array of string values in report column order)
Show Source
-
Array of:
array items
Tabular data where each item is a row (array of string values in report column order)
Nested Schema : items
Type:
arrayTabular data where each item is a row (array of string values in report column order)
Show Source
-
Array of:
string
Tabular data where each item is a row (array of string values in report column order)Example:
[]
400 Response
Invalid search criteria
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Study not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object